MAKE erzweugt bash-meldung

Dieses Thema im Forum "SuSE / OpenSuSE" wurde erstellt von murph, 19.03.2006.

  1. #1 murph, 19.03.2006
    Zuletzt bearbeitet: 19.03.2006
    murph

    murph Doppel-As

    Dabei seit:
    19.03.2006
    Beiträge:
    120
    Zustimmungen:
    0
    bei mir (suse linux 9.1 von der gamestar 01/2005) läuft der make-befehl nicht.
    ich konnte die software allerdings unter knoppix installieren, also glaub ich auch, das ich den sooooooooo schweren befehl richtig tippen kann (ich weiß, sehr sinnvoll bei knoppix was zu installieren: aber die software ist nicht defekt!).
    ich, ein absoluter noob, weiß nicht, ob das problem es auchg verursacht, dass ich mit meinem yast2 keine modules starten kann.
    (makefile geht auch nicht(vertippt))
    um gcc zu nutzen, brauche ich aber make, um das zu installieren xD
    das gleiche sagt er auch bei licq, nur dort chekt er auch die möglichkeit "make" und findet sie nicht.
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 Lord Kefir, 19.03.2006
    Lord Kefir

    Lord Kefir König

    Dabei seit:
    10.06.2004
    Beiträge:
    944
    Zustimmungen:
    0
    Was passiert denn, wenn Du vorher make installierst?!

    Mfg, Lord Kefir
     
  4. murph

    murph Doppel-As

    Dabei seit:
    19.03.2006
    Beiträge:
    120
    Zustimmungen:
    0
    wie kann man denn make installieren
    (thx4quickanswer)
     
  5. #4 Lord Kefir, 19.03.2006
    Lord Kefir

    Lord Kefir König

    Dabei seit:
    10.06.2004
    Beiträge:
    944
    Zustimmungen:
    0
    Also es ist schon ewig her, dass ich mit SuSE 'gearbeitet' habe... Informiere Dich mal über das Packetsystem (RPM) oder suche Dir ein SuSE-Howto. So grundlegende Sachen solltest Du schon wissen.

    Mfg, Lord Kefir
     
  6. murph

    murph Doppel-As

    Dabei seit:
    19.03.2006
    Beiträge:
    120
    Zustimmungen:
    0
    ich muss es ya wissen...hab vorher viel mit knoppix gearbeitet, und da gings
     
  7. #6 Lord Kefir, 19.03.2006
    Lord Kefir

    Lord Kefir König

    Dabei seit:
    10.06.2004
    Beiträge:
    944
    Zustimmungen:
    0
    Klar... merkt man ja sofort, dass Du weißt, wie das geht... :)

    Such' Dir das verfluchte RPM für 'make' und klick das Dingen doppelt.

    Mfg, Lord Kefir
     
  8. #7 murph, 19.03.2006
    Zuletzt bearbeitet: 19.03.2006
    murph

    murph Doppel-As

    Dabei seit:
    19.03.2006
    Beiträge:
    120
    Zustimmungen:
    0
    so viel ahnung habe ich schon, wusste nur nicht, dass make nicht zu den vorinstallierten commands gehören. ich hab auch das rpm gefunden.

    PS: ich musste keinen doppelklick machen

    edit: yast2 funktioniert nicht (es hat schonmal funktioniert^^)
    er erfragt das rootpasswort und macht danach nichts.

     
  9. #8 DennisM, 19.03.2006
    DennisM

    DennisM Moderator u. Newsposter

    Dabei seit:
    08.05.2004
    Beiträge:
    4.883
    Zustimmungen:
    0
    Ort:
    GER/NRW/Essen
    Besorg dir lieber eine "richtige" Version, die Zeitschriften Versionen machen meiner Erfahrung nach immer Probleme. zB Computer Bild SuSE Edition :X

    MFG

    Dennis
     
  10. murph

    murph Doppel-As

    Dabei seit:
    19.03.2006
    Beiträge:
    120
    Zustimmungen:
    0
    werd ich ma eine suchen...was bedeutet denn der log?

    am liebsten wäre es mir wenn ich knoppix nehemn könnte, allerdings ist knoppix darauf ya nicht ausgelegt.
    kann man es trotzdem einfach installieren?
     
  11. reni

    reni Guest

    Code:
    checking for gcc... no
    und installiere dir auch noch gcc ;)
     
  12. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  13. rikola

    rikola Foren Gott

    Dabei seit:
    23.08.2005
    Beiträge:
    2.133
    Zustimmungen:
    0
    Bei SuSE sind die meisten Entwickler-Tools nicht vorinstalliert, wenn man es nicht explizit auswaehlt.
     
  14. #12 supersucker, 20.03.2006
    supersucker

    supersucker Foren Gott

    Dabei seit:
    21.02.2005
    Beiträge:
    3.873
    Zustimmungen:
    0
    ???

    knoppix kannst du auch fest installieren.

    und für was bitte schön soll knoppix nicht "ausgelegt" sein?

    natürlich kannst du den gcc und make auch unter knoppix benutzen.

    informier dich erst mal über die linux-grundlagen bevor du solche weisheiten vom stapel lässt.
     
Thema:

MAKE erzweugt bash-meldung